#
# spec file for package bzip2 (Version 1.0.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libtool

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         bzip2
License:      BSD, Other License(s), see package
Group:        Productivity/Archiving/Compression
Provides:     bzip 
Obsoletes:    bzip
Autoreqprov:  on
Version:      1.0.2
Release:      346.6
Summary:      A program for compressing files
URL:          http://sources.redhat.com/bzip2/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       bzip2-%{version}.tar.gz
Patch:        bzip2-%{version}.dif
Patch1:       bzip2-%{version}-decompress.diff

%description
Bzip is a very powerful program for compressing files.



Authors:
--------
    Julian Seward <jseward@acm.org>

%prep
%setup -q
%patch
%patch1

%build
# -mcpu=pentiumpro just selects things like scheduling and does a
# a much better job optimizing for i686 while it should not hurt
# much on non-pentiumpro CPUs, -mcpu also controls the
# -malign options, so there is no need to specify them in addition.
# (outcome of some mails caused by bzip with garloff,pthomas and jh)
# The %{ix86} should also mach if we would change arch to an other
# ix86-known value (see /usr/lib/rpm/macros)
make CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 \
%ifarch %{ix86}
    -mcpu=pentiumpro \
%endif
-Wall -Winline -fomit-frame-pointer -fno-strength-reduce" libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install libdir=%{_libdir}
gzip manual.ps

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE CHANGES manual.ps.gz manual*.html
%{_bindir}/*
%{_libdir}/libbz2.a
%{_libdir}/libbz2.la
%{_libdir}/libbz2.so
%{_libdir}/libbz2.so.1
%{_libdir}/libbz2.so.1.0.0
%{_mandir}/man1/*
/usr/include/bzlib.h

%changelog -n bzip2
* Thu Jun 02 2005 - mls@suse.de
- stay with 20 bit max huffman length in 1.0.2
* Fri May 13 2005 - mjancar@suse.cz
- fix decompression bomb vulnerability (#82635)
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Jul 23 2003 - tcrhak@suse.cz
- fixed URL
* Tue Jul 23 2002 - tcrhak@suse.cz
- renamed to bzip2
* Tue Feb 05 2002 - tcrhak@suse.cz
- update to version 1.0.2
- bziped tarball
* Thu Mar 08 2001 - nadvornik@suse.cz
- re-added /usr/include/bzlib.h
* Thu Mar 08 2001 - bk@suse.de
- Replaced the -malign options with -mcpu=pentiumpro
* Tue Mar 06 2001 - bk@suse.de
- add version info to libbz2 link to fix the library version number
- if i386, add -malign-loops=2 -malign-jumps=2 -malign-functions=2
* Thu Nov 30 2000 - aj@suse.de
- New version, compile with LFS support.
* Tue Oct 03 2000 - kukuk@suse.de
- Set libdir for 64bit architectures
* Mon May 22 2000 - nadvornik@suse.cz
- update to 1.0.0
* Wed Apr 26 2000 - nadvornik@suse.cz
- changed Group
* Mon Apr 10 2000 - nadvornik@suse.cz
- added URL
* Tue Apr 04 2000 - nadvornik@suse.cz
- fixed to compile
* Mon Apr 03 2000 - bk@suse.de
- added libbz2 shared library support for s390
* Thu Mar 02 2000 - fehr@suse.de
- moved man pages to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 13 1999 - fehr@suse.de
- update to 0.9.5d
* Thu Jul 01 1999 - ro@suse.de
- update to 0.9.0c
* Fri Sep 18 1998 - ro@suse.de
- update to 0.9.0b (including libbz2 and bzlib.h)
* Thu Oct 30 1997 - fehr@suse.de
- add bzip package to S.u.S.E. distribution
